| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iJobOptSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, svc)
def | getProperties (self, component)
def | getProperty (self, component, name)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python-image of C++ class IJobOptionsSvc

Definition at line 817 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iJobOptSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | svc
| ) |  |

    constructor

Definition at line 823 of file Bindings.py.

823 def __init__(self, name, svc):
824 """ constructor """
825 self.__dict__['_optsvc'] = InterfaceCast(gbl.IJobOptionsSvc)(svc)
826 return iService.__init__(self, name, svc)
827
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iJobOptSvc.__init__
def __init__(self, name, svc)
Definition: Bindings.py:823

## Member Function Documentation

def GaudiPython.Bindings.iJobOptSvc.getProperties | ( |  | self,
|  |  | component
| ) |  |

    Extract *ALL* properties of the given component
    Usage :
    >>> jos   = gaudi.optSvc()
    >>> props = jos.getProperties( 'Name' )

Definition at line 828 of file Bindings.py.

828 def getProperties(self, component):
829 """
830 Extract *ALL* properties of the given component
831 Usage :
832 >>> jos = gaudi.optSvc()
833 >>> props = jos.getProperties( 'Name' )
834 """
835 props = self._optsvc.getProperties(component)
836 prps = {}
837 if not props:
838 return prps # RETURN
839 for p in props:
840 prop = p.name().upper()
841 try:
842 value = eval(p.value(), {}, {})
843 except:
844 value = p.value()
845 prps[prop] = value
846
847 return prps # RETURN
848
GaudiPython.Bindings.iJobOptSvc.getProperties
def getProperties(self, component)
Definition: Bindings.py:828

def GaudiPython.Bindings.iJobOptSvc.getProperty | ( |  | self,
|  |  | component,
|  |  | name
| ) |  |

    Get a certain property of the certain component
    Usage:
    >>> jos  = ...
    >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )

Definition at line 849 of file Bindings.py.

849 def getProperty(self, component, name):
850 """
851 Get a certain property of the certain component
852 Usage:
853 >>> jos = ...
854 >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )
855 """
856 # get all properties of the component
857 all = self.getProperties(component)
858 return all.get(name.upper(), None) # RETURN
859
860 # ----iEventSelector class-----------------------------------------------------
861
862
GaudiPython.Bindings.iJobOptSvc.getProperties
def getProperties(self, component)
Definition: Bindings.py:828
GaudiPython.Bindings.iJobOptSvc.getProperty
def getProperty(self, component, name)
Definition: Bindings.py:849

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py